import { LitElement } from 'lit';
export declare const ICON_PUSHED = "icon-pushed";
export declare class IconPushedComponent extends LitElement {
    static readonly defaultTagName = "icon-pushed";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
